Get transform stats

Auth

Get usage information for transforms.

Required privileges

Index privileges read view_index_metadata
Cluster privileges monitor_transform

Path parameters

transform_id union string | string[] required

Identifier for the transform. It can be a transform identifier or a wildcard expression. You can get information for all transforms by using _all, by specifying * as the <transform_id>, or by omitting the <transform_id>.

Query parameters

allow_no_match boolean · default: true

Specifies what to do when the request:

  1. Contains wildcard expressions and there are no transforms that match.
  2. Contains the _all string or no identifiers and there are no matches.
  3. Contains wildcard expressions and there are only partial matches.

If this parameter is false, the request returns a 404 status code when there are no matches or only partial matches.

basic boolean · default: false

If true, the response includes id, state, node, stats, health, and basic checkpointing information (the last and next checkpoint numbers, and the next checkpoint's position and progress). Skips statistics that require heavy computations to calculate: operations_behind, changes_last_detected_at, last_search_time, and the checkpoint timestamps.

from number · default: 0

Skips the specified number of transforms.

size number · default: 100

Specifies the maximum number of transforms to obtain.

timeout string · default: 30s

Controls the time to wait for the stats

Response

application/json
count number required
transforms object[] required
checkpointing object required
changes_last_detected_at number
changes_last_detected_at_string union oneOf
One of: string or number
last object required
checkpoint number required
timestamp union oneOf
One of: string or number
timestamp_millis number
time_upper_bound union oneOf
One of: string or number
time_upper_bound_millis number
next object
Same fields as last in checkpointing
operations_behind number
last_search_time number
last_search_time_string union oneOf
One of: string or number
id string required
reason string
state string required
stats object required
delete_time_in_ms number
documents_indexed number required
documents_deleted number
documents_processed number required
exponential_avg_checkpoint_duration_ms number required
exponential_avg_documents_indexed number required
exponential_avg_documents_processed number required
index_failures number required
index_time_in_ms number required
index_total number required
pages_processed number required
processing_time_in_ms number required
processing_total number required
search_failures number required
search_time_in_ms number required
search_total number required
trigger_count number required